Mailinglist Archive: opensuse-updates (101 mails)

< Previous Next >
openSUSE-SU-2015:0245-1: moderate: Security update for llvm
openSUSE Security Update: Security update for llvm
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0245-1
Rating: moderate
References: #874798
Cross-References: CVE-2014-2893
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

llvm was updated to fix one security issue.

This security issue was fixed:
- Insecure temporary file handling in clang's scan-build utility
(CVE-2014-2893).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-122=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libLLVM-3.3-6.7.1
libLLVM-debuginfo-3.3-6.7.1
libclang-3.3-6.7.1
libclang-debuginfo-3.3-6.7.1
llvm-3.3-6.7.1
llvm-clang-3.3-6.7.1
llvm-clang-debuginfo-3.3-6.7.1
llvm-clang-devel-3.3-6.7.1
llvm-debuginfo-3.3-6.7.1
llvm-debugsource-3.3-6.7.1
llvm-devel-3.3-6.7.1
llvm-devel-debuginfo-3.3-6.7.1
llvm-vim-plugins-3.3-6.7.1

- openSUSE 13.1 (x86_64):

libLLVM-32bit-3.3-6.7.1
libLLVM-debuginfo-32bit-3.3-6.7.1


References:

http://support.novell.com/security/cve/CVE-2014-2893.html
https://bugzilla.suse.com/show_bug.cgi?id=874798


< Previous Next >
This Thread
  • No further messages